Bug 1448997 - Review Request: lua-bit32 - Backport of Lua bit manipulation library introduced in 5.2
Summary: Review Request: lua-bit32 - Backport of Lua bit manipulation library introduc...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Charles R. Anderson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-09 03:04 UTC by Michel Alexandre Salim
Modified: 2017-05-31 21:28 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-05-31 21:28:23 UTC
cra: fedora-review+


Attachments (Terms of Use)
epel7 build log (6.34 KB, text/plain)
2017-05-11 04:32 UTC, Michel Alexandre Salim
no flags Details

Description Michel Alexandre Salim 2017-05-09 03:04:35 UTC
Spec URL: https://salimma.fedorapeople.org/specs/lua/lua-bit32.spec
SRPM URL: https://salimma.fedorapeople.org/specs/lua/lua-bit32-5.3.0-1.fc26.src.rpm
Description: 
bit32 is the native Lua 5.2 bit manipulation library, in the version
from Lua 5.3; it is compatible with Lua 5.1, 5.2 and 5.3.
Fedora Account System Username: salimma

note: needed on epel7 as a dependency for neovim

Comment 1 Charles R. Anderson 2017-05-09 12:33:37 UTC
I'm not familiar with lua, are these compile warnings expected?

+ gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -m
tune=generic -I/usr/include -I./c-api -llua -lm -ldl lbitlib.c -shared -fPIC -o bit32.so
lbitlib.c:19:0: warning: "luaL_checkunsigned" redefined
 #define luaL_checkunsigned(L, n) ((lua_Unsigned)luaL_checkinteger((L), (n)))
  
In file included from lbitlib.c:12:0:
/usr/include/lauxlib.h:247:0: note: this is the location of the previous definition
 #define luaL_checkunsigned(L,a) ((lua_Unsigned)luaL_checkinteger(L,a))
  
lbitlib.c:20:0: warning: "lua_pushunsigned" redefined
 #define lua_pushunsigned(L, n) (lua_pushinteger(L, (lua_Integer)(n)))
  
In file included from lbitlib.c:10:0:
/usr/include/lua.h:385:0: note: this is the location of the previous definition
 #define lua_pushunsigned(L,n) lua_pushinteger(L, (lua_Integer)(n))

Comment 2 Charles R. Anderson 2017-05-10 20:58:31 UTC
Should remove %defattr, it isn't needed since EPEL-4:

     Note: %defattr present but not needed

Comment 3 Michel Alexandre Salim 2017-05-11 04:21:06 UTC
(In reply to Charles R. Anderson from comment #1)
> I'm not familiar with lua, are these compile warnings expected?
> 
On systems with Lua 5.2+, this is expected - since this is a backport of functionality introduced in Lua 5.2. (Though if you install this on a system with Lua 5.2 you get a newer version since the version I'm packaging is derived from Lua 5.3).

The main use case is to build this for Enterprise Linux 7, which has Lua 5.1 -- neovim makes use of the definitions here.

Comment 4 Michel Alexandre Salim 2017-05-11 04:32 UTC
Created attachment 1277743 [details]
epel7 build log

build log showing no warning when built on EPEL 7 (with Lua 5.1)

Comment 5 Michel Alexandre Salim 2017-05-11 04:34:40 UTC
epel7 scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=19493104
(I attached the log since the Koji build logs will get garbage collected)

removed defattr

Spec URL: https://salimma.fedorapeople.org/specs/lua/lua-bit32.spec
SRPM URL: https://salimma.fedorapeople.org/specs/lua/lua-bit32-5.3.0-2.fc26.src.rpm

Comment 6 Charles R. Anderson 2017-05-13 22:02:47 UTC
Package approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 15 files have
     unknown license. Detailed output of licensecheck in
     /home/cra/src/fedora/review/1448997-lua-bit32/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in lua-
     bit32-debuginfo
[x]: Package does not include license text files separate from upstream.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: lua-bit32-5.3.0-2.el7.centos.x86_64.rpm
          lua-bit32-debuginfo-5.3.0-2.el7.centos.x86_64.rpm
          lua-bit32-5.3.0-2.el7.centos.src.rpm
lua-bit32.x86_64: W: spelling-error Summary(en_US) Backport -> Back port, Back-port, Backpacker
lua-bit32.x86_64: W: incoherent-version-in-changelog 5.3.0-2 ['5.3.0-2.el7.centos', '5.3.0-2.centos']
lua-bit32.src: W: spelling-error Summary(en_US) Backport -> Back port, Back-port, Backpacker
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

>rpmlint lua-bit32
lua-bit32.x86_64: W: spelling-error Summary(en_US) Backport -> Back port, Back-port, Backpacker
lua-bit32.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
lua-bit32.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

>rpmlint lua-bit32-debuginfo
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
lua-bit32-debuginfo (rpmlib, GLIBC filtered):

lua-bit32 (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    liblua-5.1.so()(64bit)
    libm.so.6()(64bit)
    lua(abi)
    rtld(GNU_HASH)



Provides
--------
lua-bit32-debuginfo:
    lua-bit32-debuginfo
    lua-bit32-debuginfo(x86-64)

lua-bit32:
    lua-bit32
    lua-bit32(x86-64)



Unversioned so-files
--------------------
lua-bit32: /usr/lib64/lua/5.1/bit32.so

Source checksums
----------------
https://github.com/keplerproject/lua-compat-5.2/archive/bitlib-5.3.0.tar.gz :
  CHECKSUM(SHA256) this package     : dc1197b9e996b7bd2c6a679b86ed75106d5722424b3e731b8084f56626ec5552
  CHECKSUM(SHA256) upstream package : dc1197b9e996b7bd2c6a679b86ed75106d5722424b3e731b8084f56626ec5552


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1448997 -m epel-7-x86_64
Buildroot used: epel-7-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Michel Alexandre Salim 2017-05-14 04:28:26 UTC
Thanks Charles! I've requested the new package via pkgdb, will link here when pushing the RPMs to Bodhi.

Comment 8 Gwyn Ciesla 2017-05-15 13:00:37 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/lua-bit32

Comment 9 Fedora Update System 2017-05-15 23:24:01 UTC
neovim-0.2.0-2.el7 lua-bit32-5.3.0-2.el7 lua-mpack-1.0.4-2.el7 libtermkey-0.18-3.el7 libvterm-0-0.2.bzr681.el7 unibilium-1.2.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e55d6f7a83

Comment 10 Fedora Update System 2017-05-16 22:31:44 UTC
libtermkey-0.18-3.el7, libvterm-0-0.2.bzr681.el7, lua-bit32-5.3.0-2.el7, lua-mpack-1.0.4-2.el7, neovim-0.2.0-2.el7, unibilium-1.2.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e55d6f7a83

Comment 11 Fedora Update System 2017-05-31 21:28:23 UTC
libtermkey-0.18-3.el7, libvterm-0-0.2.bzr681.el7, lua-bit32-5.3.0-2.el7, lua-mpack-1.0.4-2.el7, neovim-0.2.0-2.el7, unibilium-1.2.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.